VIEWPERL(1)

NAME
viewperl - quickly view syntax highlighted Perl code

SYNOPSIS
viewperl [OPTION]... FILE...

DESCRIPTION
View a Perl source code file, syntax highlighted.

-c, --code=CODE
    view CODE, syntax highlighted

-l, --lines
    display line numbers

-L, --no-lines
    suppress display of line numbers (default)

-m, --module=FILE
    consider FILE the name of a module, not a file name

-n, --name
    display the name of each file (default)

-N, --no-name
    suppress display of file names (implied by --no-reset)

-p, --pod
    display inline POD documentation (default)

-P, --no-pod
    hide POD documentation (line numbers still increment)

-r, --reset
    reset formatting and line numbers each file (default)

-R, --no-reset
    suppress resetting of formatting and line numbers

-s, --shift=WIDTH
    set tab width (default is 4)

-t, --tabs
    translate tabs into spaces (default)

-T, --no-tabs
    suppress translating of tabs into spaces

--help
    display this help and exit

Note that module names should be given as they would appear after a Perl `use' or `require' statement. `Getopt::Long', for example.

Each string given using -c is considered a different file, so line number and formatting resets will apply.

View a Perl source code file, syntax highlighted.

-c, --code=CODE
    view CODE, syntax highlighted

-l, --lines
    display line numbers

-L, --no-lines
    suppress display of line numbers (default)

-m, --module=FILE
    consider FILE the name of a module, not a file name

-n, --name
    display the name of each file (default)

-N, --no-name
    suppress display of file names (implied by --no-reset)

-p, --pod
    display inline POD documentation (default)

-P, --no-pod
    hide POD documentation (line numbers still increment)

-r, --reset
    reset formatting and line numbers each file (default)

-R, --no-reset
    suppress resetting of formatting and line numbers

-s, --shift=WIDTH
    set tab width (default is 4)

-t, --tabs
    translate tabs into spaces (default)

-T, --no-tabs
    suppress translating of tabs into spaces

--help
    display this help and exit

Note that module names should be given as they would appear after a Perl `use' or `require' statement. `Getopt::Long', for example.

Each string given using -c is considered a different file, so line number and formatting resets will apply.